# Compare

## CompareImagesCommand

CompareImagesCommand() compares two images and returns the difference between them as a distortion metric and as a new image visually annotating their differences.

The format of the CompareImagesCommand method is:

    MagickBooleanType CompareImagesCommand(ImageInfo *image_info,int argc,
      char **argv,char **metadata,ExceptionInfo *exception)

A description of each parameter follows:

image_info
  the image info.
argc
  the number of elements in the argument vector.
argv
  A text array containing the command line arguments.
metadata
  any metadata is returned here.
exception
  return any errors or warnings in this structure.